package de.quipsy.application;

import java.util.Collections;
import java.util.Set;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

@ApplicationPath("/")
public class QuipsyApplication extends Application {

    @Override
    public Set<Class<?>> getClasses() {
        return Collections.<Class<?>> singleton(QuipsyResource.class);
    }

    @Override
    public Set<Object> getSingletons() {
        return Collections.emptySet();
    }
}
