package de.quipsy.entities;

import java.net.URI;

import javax.xml.bind.JAXB;
import javax.xml.bind.annotation.adapters.XmlAdapter;

public class ExternalPersonXmlAdapter extends XmlAdapter<URI, Person> {
    @Override
    public Person unmarshal(URI v) throws Exception {
        return v == null ? null : JAXB.unmarshal(v, Person.class);
    }

    @Override
    public URI marshal(Person v) throws Exception {
        return v == null ? null : new URI("http://localhost:8080/quipsy/persons/CDE");
    }
}
