package de.quipsy.application;

import java.io.ByteArrayOutputStream;
import java.io.PrintStream;
import java.io.StringReader;
import java.io.UnsupportedEncodingException;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.xml.bind.JAXBContext;

import de.quipsy.entities.Project;

@Path("quipsy")
public class QuipsyResource {
    @GET
    public String JaxbFail() throws UnsupportedEncodingException {
        try {
            return JAXBContext
                    .newInstance(Project.class)
                    .createUnmarshaller()
                    .unmarshal(
                            new StringReader(
                                    "<?xml version=\"1.0\" encoding=\"UTF-8\"?><project createdBy=\"http://localhost:8080/quipsy/persons/CDE\" id=\"1\"/>"))
                    .toString();
        } catch (Throwable e) {
            ByteArrayOutputStream buffer = new ByteArrayOutputStream();
            e.printStackTrace(new PrintStream(buffer));
            return buffer.toString("UTF-8");
        }
    }

    @GET
    @Path("persons/CDE")
    public String getPerson() {
        return "<?xml version=\"1.0\" encoding=\"UTF-8\"?><person/>";
    }
}