package de.quipsy.entities;

import static javax.xml.bind.annotation.XmlAccessType.FIELD;

import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlRootElement
@XmlAccessorType(FIELD)
public class Project {
    @XmlAttribute
    @XmlID
    public String id;

    @XmlAttribute
    @XmlJavaTypeAdapter(ExternalPersonXmlAdapter.class)
    public Person createdBy;
}
